BufferedIndexInput (Lucene 2.4.1 API)
Keywords: org.apache.lucene.store.BufferedIndexInput class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store
Class BufferedIndexInput

    java.lang.Object
      org.apache.lucene.store.IndexInput
          org.apache.lucene.store.BufferedIndexInput

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  FSDirectory.FSIndexInput

    public abstract class BufferedIndexInput

extends IndexInput

Base implementation class for buffered `IndexInput`.

Field Summary
`protected byte[]` | `buffer`
`static int` | `BUFFER_SIZE` Default buffer size

Constructor Summary
`BufferedIndexInput()`
`BufferedIndexInput(int bufferSize)` Inits BufferedIndexInput with a specific bufferSize

Method Summary
`Object` | `clone()` Returns a clone of this stream.
`int` | `getBufferSize()` Returns buffer size.
`long` | `getFilePointer()` Returns the current position in this file, where the next read will occur.
`protected void` | `newBuffer(byte[] newBuffer)`
`byte` | `readByte()` Reads and returns a single byte.
`void` | `readBytes(byte[] b, int offset, int len)` Reads a specified number of bytes into an array at the specified offset.
`void` | `readBytes(byte[] b, int offset, int len, boolean useBuffer)` Reads a specified number of bytes into an array at the specified offset with control over whether the read should be buffered (callers who have their own buffer should pass in "false" for useBuffer).
`protected abstract void` | `readInternal(byte[] b, int offset, int length)` Expert: implements buffer refill.
`void` | `seek(long pos)` Sets current position in this file, where the next read will occur.
`protected abstract void` | `seekInternal(long pos)` Expert: implements seek.
`void` | `setBufferSize(int newSize)` Change the buffer size used by this IndexInput

Methods inherited from class org.apache.lucene.store.IndexInput
`close, length, readChars, readInt, readLong, readString, readVInt, readVLong, setModifiedUTF8StringsMode, skipChars`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUFFER_SIZE

    public static final int BUFFER_SIZE

  Default buffer size

  See Also:
    Constant Field Values

### buffer

    protected byte[] buffer

Constructor Detail

### BufferedIndexInput

    public BufferedIndexInput()

### BufferedIndexInput

    public BufferedIndexInput(int bufferSize)

  Inits BufferedIndexInput with a specific bufferSize

Method Detail

### readByte

    public byte readByte()
                  throws IOException

  Description copied from class: `IndexInput`
  Reads and returns a single byte.

  Specified by:
    `readByte` in class `IndexInput`
  Throws:
    `IOException`
  See Also:
    `IndexOutput.writeByte(byte)`

### setBufferSize

    public void setBufferSize(int newSize)

  Change the buffer size used by this IndexInput

### newBuffer

    protected void newBuffer(byte[] newBuffer)

### getBufferSize

    public int getBufferSize()

  Returns buffer size. @see #setBufferSize

### readBytes

    public void readBytes(byte[] b,
                          int offset,
                          int len)
                   throws IOException

  Description copied from class: `IndexInput`
  Reads a specified number of bytes into an array at the specified offset.

  Specified by:
    `readBytes` in class `IndexInput`
  Parameters:
    `b` - the array to read bytes into
    `offset` - the offset in the array to start storing bytes
    `len` - the number of bytes to read
  Throws:
    `IOException`
  See Also:
    `IndexOutput.writeBytes(byte[],int)`

### readBytes

    public void readBytes(byte[] b,
                          int offset,
                          int len,
                          boolean useBuffer)
                   throws IOException

  Description copied from class: `IndexInput`
  Reads a specified number of bytes into an array at the specified offset with control over whether the read should be buffered (callers who have their own buffer should pass in "false" for useBuffer). Currently only `BufferedIndexInput` respects this parameter.

  Overrides:
    `readBytes` in class `IndexInput`
  Parameters:
    `b` - the array to read bytes into
    `offset` - the offset in the array to start storing bytes
    `len` - the number of bytes to read
    `useBuffer` - set to false if the caller will handle buffering.
  Throws:
    `IOException`
  See Also:
    `IndexOutput.writeBytes(byte[],int)`

### readInternal

    protected abstract void readInternal(byte[] b,
                                         int offset,
                                         int length)
                                  throws IOException

  Expert: implements buffer refill. Reads bytes from the current position in the input.

  Parameters:
    `b` - the array to read bytes into
    `offset` - the offset in the array to start storing bytes
    `length` - the number of bytes to read
  Throws:
    `IOException`

### getFilePointer

    public long getFilePointer()

  Description copied from class: `IndexInput`
  Returns the current position in this file, where the next read will occur.

  Specified by:
    `getFilePointer` in class `IndexInput`
  See Also:
    `IndexInput.seek(long)`

### seek

    public void seek(long pos)
              throws IOException

  Description copied from class: `IndexInput`
  Sets current position in this file, where the next read will occur.

  Specified by:
    `seek` in class `IndexInput`
  Throws:
    `IOException`
  See Also:
    `IndexInput.getFilePointer()`

### seekInternal

    protected abstract void seekInternal(long pos)
                                  throws IOException

  Expert: implements seek. Sets current position in this file, where the next `readInternal(byte[],int,int)` will occur.

  Throws:
    `IOException`
  See Also:
    `readInternal(byte[],int,int)`

### clone

    public Object clone()

  Description copied from class: `IndexInput`
  Returns a clone of this stream.

  Clones of a stream access the same data, and are positioned at the same point as the stream they were cloned from.

  Expert: Subclasses must ensure that clones may be positioned at different points in the input from each other and from the stream they were cloned from.

  Overrides:
    `clone` in class `IndexInput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.